

//*******************************************************
//					GPIO Definitions
//*******************************************************

//Port 0 Definitions
#define ACCEL_INT2	(1<<2)
#define	ACCEL_INT1	(1<<3)
#define ACCEL_CS1	(1<<7)
#define	BT_CTS		(1<<10)
#define	BT_RTS		(1<<11)
#define	SSEL1		(1<<20)
#define	BT_EN		(1<<21)
#define	VLIPO_MEAS	(1<<22)
#define P0_31       (1<<31)
//Port 1 Definitions
#define	STAT0		(1<<17)
#define	STAT1		(1<<16)
#define	FLASH_CS	(1<<24)
#define	CD1			(1<<25)
#define	CD2			(1<<26)
#define	BT_CON		(1<<27)
#define	GPS_EN		(1<<31)

//*******************************************************
//					Global Macros
//*******************************************************
#define GreenOff()		IOSET1 = STAT0
#define GreenOn()		IOCLR1 = STAT0

#define BlueOff()		IOSET1 = STAT1
#define BlueOn()		IOCLR1 = STAT1

#define SelectAccelerometer()	IOCLR0 = ACCEL_CS1
#define UnselectAccelerometer()	IOSET0 = ACCEL_CS1

#define GPSon()			IOSET1 = GPS_EN
#define GPSoff()		IOCLR1 = GPS_EN

//*******************************************************
//					Global Definitions
//*******************************************************
#define OK	1
#define ERROR	0
#define ACTIVE	1
#define INACTIVE	0

#define SCLK_PINSEL		0x00000100	//Select SPI Function for P0.4
#define MISO_PINSEL		0x00000400	//Select SPI Function for P0.5
#define MOSI_PINSEL		0x00001000	//Select SPI Function for P0.6
