//**********************************************************
//
//             LIS30 Accelerometer Library
//						LIS302.c
//                     Ryan Owens
//			Copyright Sparkfun Electronics
//
//**********************************************************
//NOTE: SelectAccel and UnSelectAccel macros must be externally
//		defined.  They should assert and de-assert the CS line
//		respectively.

#include "LPC214x.h"
#include "LIS302.h"
#include "spi0.h"

void initAccel(char range){
    if ( 1 == range ) {
		//Use Full Scale
	    WriteLis302Register(Ctrl_Reg1, FS | PD | XEN | YEN | ZEN);
	} else {
	    WriteLis302Register(Ctrl_Reg1, PD | XEN | YEN | ZEN);
	}
	//WriteLis302Register(Ctrl_Reg2, HP_FF_WU1 | FDS | HP_coeff1 | HP_coeff2);
	WriteLis302Register(Ctrl_Reg3, 0x00 );

	WriteLis302Register(FF_WU_CFG_1, 0x50 );
}

char accelX(void){
	return ReadLis302Register(OutX);
}

char accelY(void){
	return ReadLis302Register(OutY);
}

char accelZ(void){
	return ReadLis302Register(OutZ);
}

void powerdownAccel(void){
	SelectAccel();
	SPI0_send(WRITE | Ctrl_Reg1);
	SPI0_send(~PD);
	UnselectAccel();
}

char ReadLis302Register(char register_name){
	char register_contents;

	SelectAccel();
	SPI0_send(READ | register_name);
	register_contents=SPI0_recv();
	UnselectAccel();
	return register_contents;
}

void WriteLis302Register(char register_name, char register_value){
	SelectAccel();
	SPI0_send(WRITE | register_name);
	SPI0_send(register_value);
	UnselectAccel();
}
