#ifndef PARSE
#define PARSE 1

int parseConfigRecord( FILE **fd, char *const offsetX, char *const offsetY, char *const offsetZ );

int parseFullAccelRecord( FILE **fd, unsigned char *const hour, unsigned char *const min, unsigned char *const sec,
                          unsigned int *const secFrac, unsigned int *const numTicks,
                          char *const accelX, char *const accelY, char *const accelZ );

int parsePartialAccelRecord( FILE **fd, char *const accelX, char *const accelY, char *const accelZ );

int parseFullGGARecord( FILE **fd, unsigned char *const hour, unsigned char *const min, unsigned char *const sec,
                        unsigned int *const secFrac, unsigned char *const numSat,
                        float *const hdop, float *const altitude,
                        short *const latDegree, unsigned int *const latFrac,
                        short *const longDegree, unsigned int *const longFrac );

int parsePartialGGARecord( FILE **fd, unsigned char *const hour, unsigned char *const min, unsigned char *const sec,
                           unsigned int *const secFrac, unsigned char *const numSat,
                           float *const hdop, float *const altitude );

int parseFullRMARecord( FILE **fd, unsigned char *const day, unsigned char *const month, unsigned char *const year,
                        unsigned char *const hour, unsigned char *const min, unsigned char *const sec,
                        unsigned int *const secFrac,
                        short *const latDegree, unsigned int *const latFrac,
                        short *const longDegree, unsigned int *const longFrac );

int parsePartialRMARecord( FILE **fd, unsigned char *const day, unsigned char *const month, unsigned char *const year,
                           unsigned char *const hour, unsigned char *const min, unsigned char *const sec,
                           unsigned int *const secFrac );

#endif