#include <string.h>
#include <stdio.h>
#include "serial.h"

#include "gps.h"

//Configure the GPS message with the specified frequency
//By default checksum is disabled
void config_gps_msgs(unsigned char const type, unsigned char const freq) {
    char gps_init_string[20];
	unsigned char cksum;
	
    sprintf( gps_init_string, "PSRF103,%d,00,%d,00", type, freq );
    GPS_CHECKSUM(gps_init_string,cksum) 

    putc_serial0('$');
    for(int i=0; gps_init_string[i] != '\0'; i++)
    {
        putc_serial0(gps_init_string[i]);
    }
    putc_serial0('*');
    putc_serial0(((cksum&0xF0)>>4)+'0');
    putc_serial0((cksum&0x0F)+'0');
    putc_serial0('\r');
    putc_serial0('\n');

}

//Disable all possibile GPS messages that could be generated by the
//receiver.
void disable_all_gps_msgs(void) {
    config_gps_msgs( 0, 0 ); //Turn off GGA messages
    config_gps_msgs( 1, 0 ); //Turn off GLL messages
    config_gps_msgs( 2, 0 ); //Turn off GSA messages
    config_gps_msgs( 3, 0 ); //Turn off GSV messages
    config_gps_msgs( 4, 0 ); //Turn off RMC messages
    config_gps_msgs( 5, 0 ); //Turn off VTG messages
    config_gps_msgs( 6, 0 ); //Turn off MSS messages
    config_gps_msgs( 7, 0 ); //Turn off messages #7 --currently not defined--

}

//Enable the RMC message with the specified frequency
void enable_gps_rmc_msgs(unsigned char freq) {
    config_gps_msgs( 4, freq );
}

void disable_gps_rmc_msgs(void) {
    config_gps_msgs( 4, 0 );
}

void enable_gps_gga_msgs(unsigned char freq) {
    config_gps_msgs( 0, freq );
}

void disable_gps_gga_msgs(void) {
    config_gps_msgs( 0, 0 );
}

