#ifndef GPS_PARSER
#define GPS_PARSER

#include <limits.h>

typedef struct {
    unsigned char hour;
    unsigned char min;
    unsigned char sec;
    unsigned short thousand;
} Time;

typedef struct {
    unsigned char day;
    unsigned char month;
    unsigned char year;
} Date;

typedef struct {
    signed short degree;
    unsigned int fractional;
} Coord;

typedef struct{
    Coord latitude;
    Coord longitude;
    Time time;
	Date date;
    unsigned char numSatellites;
    short hdop;
    short altitude;
    char fix;
} GPSdata;

int parseTime( char *line, Time *time );
int parseDate( char *line, Date *date );
int parseLat( char *line, Coord *coord );
int parseLong( char *line, Coord *coord );
int parseRmc( char *line, const int length, Date *date, Time *time, Coord *latitude, Coord *longitude, char *const fix );
int parseGga( char *line, const int length, Time *const time, Coord *const latitude, Coord *const longitude, unsigned char *const numSatellites, short *const hdop, short *const altitude, char *const fix );
int parseNmea( char *const line, const int stringLength, GPSdata *const gpsData );

#endif
